set vid=%~f1
set aud=%~dpn1.mp3
set pmp=%~dpn1.pmp
set pmplog=%~dpn1.pmp.log
"%~f2mencoder" -ovc copy -oac copy -of rawaudio -o "%aud%" "%vid%"
if not exist "%aud%" goto :END
"%~f2pmp_muxer" "%vid%" "%aud%" "%pmp%"
if not exist "%pmp%" goto :END
del "%aud%"
del "%vid%"
del "%pmplog%"
:END
exit /b